PXNW(1)

NAME
pxnw - conduct Needleman-Wunsch analysis for all the seqs in a file

SYNOPSIS
pxnw [OPTIONS]...

DESCRIPTION
Conduct Needleman-Wunsch analysis for all the seqs in a file. This will take fasta, fastq, phylip, and nexus formats from a file or STDIN. Output is a list of the scores and distances (and the alignments if asked).

OPTIONS

-s, --seqf=FILE
    input sequence file, STDIN otherwise

-a, --outalnf=FILE
    output sequence file, won't output otherwise

-t, --seqtype=INT
    sequence type, default=DNA (DNA=0,AA=1)

-m, --matrix=FILE
    scoring matrix, default DNA=EDNAFULL, AA=BLOSUM62

-n, --nthreads=INT
    number of threads (open mp), default=2

-v, --verbose
    make the output more verbose, turns off parallel

-o, --outf=FILE
    output score/distance file, STOUT otherwise

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12): 1886-1888. https://doi.org/10.1093/bioinformatics/btx063.

AUTHOR
Written by Stephen A. Smith (blackrim)

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2013-2024 FePhyFoFum License GPLv3